Sellers (Franchise)
Update Seller
Fully replaces a seller’s details and payment method configurations
PUT
/
sellers
/
{merchant_seller_id}
Update Seller
curl --request PUT \
--url https://api-sandbox.y.uno/v1/sellers/{merchant_seller_id} \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <private-secret-key>' \
--header 'public-api-key: <public-api-key>' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"phone": {
"code": "<string>",
"number": "<string>"
},
"document": {
"type": "<string>",
"number": "<string>"
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>"
},
"country": "<string>",
"industry": "<string>",
"merchant_category_code": "<string>",
"payment_methods": [
{
"provider_id": "<string>",
"payment_method_type": "<string>",
"merchant_id": "<string>",
"wallet_details": {
"payment_processing_key": "<string>",
"payment_processing_certificate": "<string>",
"merchant_identity_key": "<string>",
"merchant_identity_certificate": "<string>",
"merchant_identity_password": "<string>"
}
}
]
}
'import requests
url = "https://api-sandbox.y.uno/v1/sellers/{merchant_seller_id}"
payload = {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"phone": {
"code": "<string>",
"number": "<string>"
},
"document": {
"type": "<string>",
"number": "<string>"
},
"address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip_code": "<string>"
},
"country": "<string>",
"industry": "<string>",
"merchant_category_code": "<string>",
"payment_methods": [
{
"provider_id": "<string>",
"payment_method_type": "<string>",
"merchant_id": "<string>",
"wallet_details": {
"payment_processing_key": "<string>",
"payment_processing_certificate": "<string>",
"merchant_identity_key": "<string>",
"merchant_identity_certificate": "<string>",
"merchant_identity_password": "<string>"
}
}
]
}
headers = {
"public-api-key": "<public-api-key>",
"private-secret-key": "<private-secret-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'public-api-key': '<public-api-key>',
'private-secret-key': '<private-secret-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
email: 'jsmith@example.com',
phone: {code: '<string>', number: '<string>'},
document: {type: '<string>', number: '<string>'},
address: {
line_1: '<string>',
line_2: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
zip_code: '<string>'
},
country: '<string>',
industry: '<string>',
merchant_category_code: '<string>',
payment_methods: [
{
provider_id: '<string>',
payment_method_type: '<string>',
merchant_id: '<string>',
wallet_details: {
payment_processing_key: '<string>',
payment_processing_certificate: '<string>',
merchant_identity_key: '<string>',
merchant_identity_certificate: '<string>',
merchant_identity_password: '<string>'
}
}
]
})
};
fetch('https://api-sandbox.y.uno/v1/sellers/{merchant_seller_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seller_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"merchant_seller_id": "FRANCHISE_STORE_001",
"name": "Franchise Store Los Angeles",
"email": null,
"phone": {
"code": null,
"number": null
},
"document": {
"type": null,
"number": null
},
"address": {
"line_1": null,
"line_2": null,
"city": null,
"state": null,
"country": null,
"zip_code": null
},
"country": "US",
"website": null,
"industry": null,
"merchant_category_code": "5812",
"payment_methods": [
{
"provider_id": "STRIPE",
"payment_method_type": "CARD",
"merchant_id": "acct_1A2B3C4D5E",
"wallet_details": null
},
{
"provider_id": "APPLE_PAY",
"payment_method_type": "APPLE_PAY",
"merchant_id": null,
"wallet_details": {
"payment_processing_key": "<base64-encoded .pem content>",
"payment_processing_certificate": "<base64-encoded .pem content>",
"merchant_identity_key": "<base64-encoded .pem content>",
"merchant_identity_certificate": "<base64-encoded .pem content>",
"merchant_identity_password": "password123"
}
}
],
"created_at": "2026-05-07T10:00:00Z",
"updated_at": "2026-05-07T14:30:00Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Fully replaces the seller details and payment method configurations for a given seller.
ImportantThis is a full replacement operation. All fields you want to keep must be included. Omitted optional fields will be set to
null.Path Parameters
Body
application/json
Required string length:
1 - 255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ISO 3166-1 alpha-2 country code.
Required string length:
2Required string length:
4Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
2Required string length:
4Show child attributes
Show child attributes
Was this page helpful?
Previous
Delete SellerSoft deletes a franchise seller mapping and its associated payment method data
Next
⌘I
Update Seller
